## org.eclipse.xsd.util
Class XSDSwitch<T>

    java.lang.Object
      org.eclipse.xsd.util.XSDSwitch<T>

    public class XSDSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `XSDPackage`

Field Summary
`protected static XSDPackage` `modelPackage` The cached model package

Constructor Summary
`XSDSwitch()` Creates an instance of the switch

Method Summary
`T` `caseXSDAnnotation(XSDAnnotation object)` Returns the result of interpreting the object as an instance of 'Annotation'
`T` `caseXSDAttributeDeclaration(XSDAttributeDeclaration object)` Returns the result of interpreting the object as an instance of 'Attribute Declaration'
`T` `caseXSDAttributeGroupContent(XSDAttributeGroupContent object)` Returns the result of interpreting the object as an instance of 'Attribute Group Content'
`T` `caseXSDAttributeGroupDefinition(XSDAttributeGroupDefinition object)` Returns the result of interpreting the object as an instance of 'Attribute Group Definition'
`T` `caseXSDAttributeUse(XSDAttributeUse object)` Returns the result of interpreting the object as an instance of 'Attribute Use'
`T` `caseXSDBoundedFacet(XSDBoundedFacet object)` Returns the result of interpreting the object as an instance of 'Bounded Facet'
`T` `caseXSDCardinalityFacet(XSDCardinalityFacet object)` Returns the result of interpreting the object as an instance of 'Cardinality Facet'
`T` `caseXSDComplexTypeContent(XSDComplexTypeContent object)` Returns the result of interpreting the object as an instance of 'Complex Type Content'
`T` `caseXSDComplexTypeDefinition(XSDComplexTypeDefinition object)` Returns the result of interpreting the object as an instance of 'Complex Type Definition'
`T` `caseXSDComponent(XSDComponent object)` Returns the result of interpreting the object as an instance of 'Component'
`T` `caseXSDConcreteComponent(XSDConcreteComponent object)` Returns the result of interpreting the object as an instance of 'Concrete Component'
`T` `caseXSDConstrainingFacet(XSDConstrainingFacet object)` Returns the result of interpreting the object as an instance of 'Constraining Facet'
`T` `caseXSDDiagnostic(XSDDiagnostic object)` Returns the result of interpreting the object as an instance of 'Diagnostic'
`T` `caseXSDElementDeclaration(XSDElementDeclaration object)` Returns the result of interpreting the object as an instance of 'Element Declaration'
`T` `caseXSDEnumerationFacet(XSDEnumerationFacet object)` Returns the result of interpreting the object as an instance of 'Enumeration Facet'
`T` `caseXSDFacet(XSDFacet object)` Returns the result of interpreting the object as an instance of 'Facet'
`T` `caseXSDFeature(XSDFeature object)` Returns the result of interpreting the object as an instance of 'Feature'
`T` `caseXSDFixedFacet(XSDFixedFacet object)` Returns the result of interpreting the object as an instance of 'Fixed Facet'
`T` `caseXSDFractionDigitsFacet(XSDFractionDigitsFacet object)` Returns the result of interpreting the object as an instance of 'Fraction Digits Facet'
`T` `caseXSDFundamentalFacet(XSDFundamentalFacet object)` Returns the result of interpreting the object as an instance of 'Fundamental Facet'
`T` `caseXSDIdentityConstraintDefinition(XSDIdentityConstraintDefinition object)` Returns the result of interpreting the object as an instance of 'Identity Constraint Definition'
`T` `caseXSDImport(XSDImport object)` Returns the result of interpreting the object as an instance of 'Import'
`T` `caseXSDInclude(XSDInclude object)` Returns the result of interpreting the object as an instance of 'Include'
`T` `caseXSDLengthFacet(XSDLengthFacet object)` Returns the result of interpreting the object as an instance of 'Length Facet'
`T` `caseXSDMaxExclusiveFacet(XSDMaxExclusiveFacet object)` Returns the result of interpreting the object as an instance of 'Max Exclusive Facet'
`T` `caseXSDMaxFacet(XSDMaxFacet object)` Returns the result of interpreting the object as an instance of 'Max Facet'
`T` `caseXSDMaxInclusiveFacet(XSDMaxInclusiveFacet object)` Returns the result of interpreting the object as an instance of 'Max Inclusive Facet'
`T` `caseXSDMaxLengthFacet(XSDMaxLengthFacet object)` Returns the result of interpreting the object as an instance of 'Max Length Facet'
`T` `caseXSDMinExclusiveFacet(XSDMinExclusiveFacet object)` Returns the result of interpreting the object as an instance of 'Min Exclusive Facet'
`T` `caseXSDMinFacet(XSDMinFacet object)` Returns the result of interpreting the object as an instance of 'Min Facet'
`T` `caseXSDMinInclusiveFacet(XSDMinInclusiveFacet object)` Returns the result of interpreting the object as an instance of 'Min Inclusive Facet'
`T` `caseXSDMinLengthFacet(XSDMinLengthFacet object)` Returns the result of interpreting the object as an instance of 'Min Length Facet'
`T` `caseXSDModelGroup(XSDModelGroup object)` Returns the result of interpreting the object as an instance of 'Model Group'
`T` `caseXSDModelGroupDefinition(XSDModelGroupDefinition object)` Returns the result of interpreting the object as an instance of 'Model Group Definition'
`T` `caseXSDNamedComponent(XSDNamedComponent object)` Returns the result of interpreting the object as an instance of 'Named Component'
`T` `caseXSDNotationDeclaration(XSDNotationDeclaration object)` Returns the result of interpreting the object as an instance of 'Notation Declaration'
`T` `caseXSDNumericFacet(XSDNumericFacet object)` Returns the result of interpreting the object as an instance of 'Numeric Facet'
`T` `caseXSDOrderedFacet(XSDOrderedFacet object)` Returns the result of interpreting the object as an instance of 'Ordered Facet'
`T` `caseXSDParticle(XSDParticle object)` Returns the result of interpreting the object as an instance of 'Particle'
`T` `caseXSDParticleContent(XSDParticleContent object)` Returns the result of interpreting the object as an instance of 'Particle Content'
`T` `caseXSDPatternFacet(XSDPatternFacet object)` Returns the result of interpreting the object as an instance of 'Pattern Facet'
`T` `caseXSDRedefinableComponent(XSDRedefinableComponent object)` Returns the result of interpreting the object as an instance of 'Redefinable Component'
`T` `caseXSDRedefine(XSDRedefine object)` Returns the result of interpreting the object as an instance of 'Redefine'
`T` `caseXSDRedefineContent(XSDRedefineContent object)` Returns the result of interpreting the object as an instance of 'Redefine Content'
`T` `caseXSDRepeatableFacet(XSDRepeatableFacet object)` Returns the result of interpreting the object as an instance of 'Repeatable Facet'
`T` `caseXSDSchema(XSDSchema object)` Returns the result of interpreting the object as an instance of 'Schema'
`T` `caseXSDSchemaCompositor(XSDSchemaCompositor object)` Returns the result of interpreting the object as an instance of 'Schema Compositor'
`T` `caseXSDSchemaContent(XSDSchemaContent object)` Returns the result of interpreting the object as an instance of 'Schema Content'
`T` `caseXSDSchemaDirective(XSDSchemaDirective object)` Returns the result of interpreting the object as an instance of 'Schema Directive'
`T` `caseXSDScope(XSDScope object)` Returns the result of interpreting the object as an instance of 'Scope'
`T` `caseXSDSimpleTypeDefinition(XSDSimpleTypeDefinition object)` Returns the result of interpreting the object as an instance of 'Simple Type Definition'
`T` `caseXSDTerm(XSDTerm object)` Returns the result of interpreting the object as an instance of 'Term'
`T` `caseXSDTotalDigitsFacet(XSDTotalDigitsFacet object)` Returns the result of interpreting the object as an instance of 'Total Digits Facet'
`T` `caseXSDTypeDefinition(XSDTypeDefinition object)` Returns the result of interpreting the object as an instance of 'Type Definition'
`T` `caseXSDWhiteSpaceFacet(XSDWhiteSpaceFacet object)` Returns the result of interpreting the object as an instance of 'White Space Facet'
`T` `caseXSDWildcard(XSDWildcard object)` Returns the result of interpreting the object as an instance of 'Wildcard'
`T` `caseXSDXPathDefinition(XSDXPathDefinition object)` Returns the result of interpreting the object as an instance of 'XPath Definition'
`T` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static XSDPackage modelPackage

  The cached model package

Constructor Detail

### XSDSwitch

    public XSDSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseXSDAnnotation

    public T caseXSDAnnotation(XSDAnnotation object)

  Returns the result of interpreting the object as an instance of 'Annotation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Annotation'.
  See Also:
    `doSwitch(EObject)`

### caseXSDAttributeDeclaration

    public T caseXSDAttributeDeclaration(XSDAttributeDeclaration object)

  Returns the result of interpreting the object as an instance of 'Attribute Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Declaration'.
  See Also:
    `doSwitch(EObject)`

### caseXSDAttributeGroupContent

    public T caseXSDAttributeGroupContent(XSDAttributeGroupContent object)

  Returns the result of interpreting the object as an instance of 'Attribute Group Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Group Content'.
  See Also:
    `doSwitch(EObject)`

### caseXSDAttributeGroupDefinition

    public T caseXSDAttributeGroupDefinition(XSDAttributeGroupDefinition object)

  Returns the result of interpreting the object as an instance of 'Attribute Group Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Group Definition'.
  See Also:
    `doSwitch(EObject)`

### caseXSDAttributeUse

    public T caseXSDAttributeUse(XSDAttributeUse object)

  Returns the result of interpreting the object as an instance of 'Attribute Use'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Use'.
  See Also:
    `doSwitch(EObject)`

### caseXSDBoundedFacet

    public T caseXSDBoundedFacet(XSDBoundedFacet object)

  Returns the result of interpreting the object as an instance of 'Bounded Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Bounded Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDCardinalityFacet

    public T caseXSDCardinalityFacet(XSDCardinalityFacet object)

  Returns the result of interpreting the object as an instance of 'Cardinality Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Cardinality Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDComplexTypeContent

    public T caseXSDComplexTypeContent(XSDComplexTypeContent object)

  Returns the result of interpreting the object as an instance of 'Complex Type Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Complex Type Content'.
  See Also:
    `doSwitch(EObject)`

### caseXSDComplexTypeDefinition

    public T caseXSDComplexTypeDefinition(XSDComplexTypeDefinition object)

  Returns the result of interpreting the object as an instance of 'Complex Type Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Complex Type Definition'.
  See Also:
    `doSwitch(EObject)`

### caseXSDComponent

    public T caseXSDComponent(XSDComponent object)

  Returns the result of interpreting the object as an instance of 'Component'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component'.
  See Also:
    `doSwitch(EObject)`

### caseXSDConcreteComponent

    public T caseXSDConcreteComponent(XSDConcreteComponent object)

  Returns the result of interpreting the object as an instance of 'Concrete Component'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Concrete Component'.
  See Also:
    `doSwitch(EObject)`

### caseXSDConstrainingFacet

    public T caseXSDConstrainingFacet(XSDConstrainingFacet object)

  Returns the result of interpreting the object as an instance of 'Constraining Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraining Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDDiagnostic

    public T caseXSDDiagnostic(XSDDiagnostic object)

  Returns the result of interpreting the object as an instance of 'Diagnostic'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Diagnostic'.
  See Also:
    `doSwitch(EObject)`

### caseXSDElementDeclaration

    public T caseXSDElementDeclaration(XSDElementDeclaration object)

  Returns the result of interpreting the object as an instance of 'Element Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element Declaration'.
  See Also:
    `doSwitch(EObject)`

### caseXSDEnumerationFacet

    public T caseXSDEnumerationFacet(XSDEnumerationFacet object)

  Returns the result of interpreting the object as an instance of 'Enumeration Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Enumeration Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDFacet

    public T caseXSDFacet(XSDFacet object)

  Returns the result of interpreting the object as an instance of 'Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDFeature

    public T caseXSDFeature(XSDFeature object)

  Returns the result of interpreting the object as an instance of 'Feature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature'.
  See Also:
    `doSwitch(EObject)`

### caseXSDFixedFacet

    public T caseXSDFixedFacet(XSDFixedFacet object)

  Returns the result of interpreting the object as an instance of 'Fixed Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Fixed Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDFractionDigitsFacet

    public T caseXSDFractionDigitsFacet(XSDFractionDigitsFacet object)

  Returns the result of interpreting the object as an instance of 'Fraction Digits Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Fraction Digits Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDFundamentalFacet

    public T caseXSDFundamentalFacet(XSDFundamentalFacet object)

  Returns the result of interpreting the object as an instance of 'Fundamental Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Fundamental Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDIdentityConstraintDefinition

    public T caseXSDIdentityConstraintDefinition(XSDIdentityConstraintDefinition object)

  Returns the result of interpreting the object as an instance of 'Identity Constraint Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Identity Constraint Definition'.
  See Also:
    `doSwitch(EObject)`

### caseXSDImport

    public T caseXSDImport(XSDImport object)

  Returns the result of interpreting the object as an instance of 'Import'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Import'.
  See Also:
    `doSwitch(EObject)`

### caseXSDInclude

    public T caseXSDInclude(XSDInclude object)

  Returns the result of interpreting the object as an instance of 'Include'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Include'.
  See Also:
    `doSwitch(EObject)`

### caseXSDLengthFacet

    public T caseXSDLengthFacet(XSDLengthFacet object)

  Returns the result of interpreting the object as an instance of 'Length Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Length Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMaxExclusiveFacet

    public T caseXSDMaxExclusiveFacet(XSDMaxExclusiveFacet object)

  Returns the result of interpreting the object as an instance of 'Max Exclusive Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Max Exclusive Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMaxFacet

    public T caseXSDMaxFacet(XSDMaxFacet object)

  Returns the result of interpreting the object as an instance of 'Max Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Max Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMaxInclusiveFacet

    public T caseXSDMaxInclusiveFacet(XSDMaxInclusiveFacet object)

  Returns the result of interpreting the object as an instance of 'Max Inclusive Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Max Inclusive Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMaxLengthFacet

    public T caseXSDMaxLengthFacet(XSDMaxLengthFacet object)

  Returns the result of interpreting the object as an instance of 'Max Length Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Max Length Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMinExclusiveFacet

    public T caseXSDMinExclusiveFacet(XSDMinExclusiveFacet object)

  Returns the result of interpreting the object as an instance of 'Min Exclusive Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Min Exclusive Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMinFacet

    public T caseXSDMinFacet(XSDMinFacet object)

  Returns the result of interpreting the object as an instance of 'Min Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Min Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMinInclusiveFacet

    public T caseXSDMinInclusiveFacet(XSDMinInclusiveFacet object)

  Returns the result of interpreting the object as an instance of 'Min Inclusive Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Min Inclusive Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDMinLengthFacet

    public T caseXSDMinLengthFacet(XSDMinLengthFacet object)

  Returns the result of interpreting the object as an instance of 'Min Length Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Min Length Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDModelGroup

    public T caseXSDModelGroup(XSDModelGroup object)

  Returns the result of interpreting the object as an instance of 'Model Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model Group'.
  See Also:
    `doSwitch(EObject)`

### caseXSDModelGroupDefinition

    public T caseXSDModelGroupDefinition(XSDModelGroupDefinition object)

  Returns the result of interpreting the object as an instance of 'Model Group Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model Group Definition'.
  See Also:
    `doSwitch(EObject)`

### caseXSDNamedComponent

    public T caseXSDNamedComponent(XSDNamedComponent object)

  Returns the result of interpreting the object as an instance of 'Named Component'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Named Component'.
  See Also:
    `doSwitch(EObject)`

### caseXSDNotationDeclaration

    public T caseXSDNotationDeclaration(XSDNotationDeclaration object)

  Returns the result of interpreting the object as an instance of 'Notation Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Notation Declaration'.
  See Also:
    `doSwitch(EObject)`

### caseXSDNumericFacet

    public T caseXSDNumericFacet(XSDNumericFacet object)

  Returns the result of interpreting the object as an instance of 'Numeric Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Numeric Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDOrderedFacet

    public T caseXSDOrderedFacet(XSDOrderedFacet object)

  Returns the result of interpreting the object as an instance of 'Ordered Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ordered Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDParticle

    public T caseXSDParticle(XSDParticle object)

  Returns the result of interpreting the object as an instance of 'Particle'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Particle'.
  See Also:
    `doSwitch(EObject)`

### caseXSDParticleContent

    public T caseXSDParticleContent(XSDParticleContent object)

  Returns the result of interpreting the object as an instance of 'Particle Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Particle Content'.
  See Also:
    `doSwitch(EObject)`

### caseXSDPatternFacet

    public T caseXSDPatternFacet(XSDPatternFacet object)

  Returns the result of interpreting the object as an instance of 'Pattern Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Pattern Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDRedefinableComponent

    public T caseXSDRedefinableComponent(XSDRedefinableComponent object)

  Returns the result of interpreting the object as an instance of 'Redefinable Component'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Redefinable Component'.
  See Also:
    `doSwitch(EObject)`

### caseXSDRedefineContent

    public T caseXSDRedefineContent(XSDRedefineContent object)

  Returns the result of interpreting the object as an instance of 'Redefine Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Redefine Content'.
  See Also:
    `doSwitch(EObject)`

### caseXSDRedefine

    public T caseXSDRedefine(XSDRedefine object)

  Returns the result of interpreting the object as an instance of 'Redefine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Redefine'.
  See Also:
    `doSwitch(EObject)`

### caseXSDRepeatableFacet

    public T caseXSDRepeatableFacet(XSDRepeatableFacet object)

  Returns the result of interpreting the object as an instance of 'Repeatable Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Repeatable Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDSchema

    public T caseXSDSchema(XSDSchema object)

  Returns the result of interpreting the object as an instance of 'Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schema'.
  See Also:
    `doSwitch(EObject)`

### caseXSDSchemaCompositor

    public T caseXSDSchemaCompositor(XSDSchemaCompositor object)

  Returns the result of interpreting the object as an instance of 'Schema Compositor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schema Compositor'.
  See Also:
    `doSwitch(EObject)`

### caseXSDSchemaContent

    public T caseXSDSchemaContent(XSDSchemaContent object)

  Returns the result of interpreting the object as an instance of 'Schema Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schema Content'.
  See Also:
    `doSwitch(EObject)`

### caseXSDSchemaDirective

    public T caseXSDSchemaDirective(XSDSchemaDirective object)

  Returns the result of interpreting the object as an instance of 'Schema Directive'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schema Directive'.
  See Also:
    `doSwitch(EObject)`

### caseXSDScope

    public T caseXSDScope(XSDScope object)

  Returns the result of interpreting the object as an instance of 'Scope'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Scope'.
  See Also:
    `doSwitch(EObject)`

### caseXSDSimpleTypeDefinition

    public T caseXSDSimpleTypeDefinition(XSDSimpleTypeDefinition object)

  Returns the result of interpreting the object as an instance of 'Simple Type Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Simple Type Definition'.
  See Also:
    `doSwitch(EObject)`

### caseXSDTerm

    public T caseXSDTerm(XSDTerm object)

  Returns the result of interpreting the object as an instance of 'Term'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Term'.
  See Also:
    `doSwitch(EObject)`

### caseXSDTotalDigitsFacet

    public T caseXSDTotalDigitsFacet(XSDTotalDigitsFacet object)

  Returns the result of interpreting the object as an instance of 'Total Digits Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Total Digits Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDTypeDefinition

    public T caseXSDTypeDefinition(XSDTypeDefinition object)

  Returns the result of interpreting the object as an instance of 'Type Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type Definition'.
  See Also:
    `doSwitch(EObject)`

### caseXSDWhiteSpaceFacet

    public T caseXSDWhiteSpaceFacet(XSDWhiteSpaceFacet object)

  Returns the result of interpreting the object as an instance of 'White Space Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'White Space Facet'.
  See Also:
    `doSwitch(EObject)`

### caseXSDWildcard

    public T caseXSDWildcard(XSDWildcard object)

  Returns the result of interpreting the object as an instance of 'Wildcard'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Wildcard'.
  See Also:
    `doSwitch(EObject)`

### caseXSDXPathDefinition

    public T caseXSDXPathDefinition(XSDXPathDefinition object)

  Returns the result of interpreting the object as an instance of 'XPath Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'XPath Definition'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.